/*
 * hardware_config.h
 *
 * Hardware-Konfiguration Projekt Messuhr-Schnittstelle
 * Basis: Mini-USB-Board (verwandt mit Olimex-Board)
 *
 *
 * $Date:  $
 * $Revision:  $
 *
 * 06.02.2019 Nicolas
 */


#ifndef HARDWARE_CONFIG_H
    #define HARDWARE_CONFIG_H


	/* ******************************************************************************** */
	/*  Pinout                                                                          */
	/* ******************************************************************************** */

    // Drehgeber-Schnittstelle (Nur zur Info)
    #define HARD_ENC0 encoder_STM32F10x_TIM4_PB6_PB7

    // USB
    // Nur zur Info. Pinout anderswo festgelegt
    #define USB_PLUS_GPIO  GPIOA
    #define USB_PLOT_Pin   GPIO_Pin_12
    #define USB_MINUS_GPIO GPIOA
    #define USB_MINUS_Pin  GPIO_Pin_11

    // Kein disconnect-Pin vorhanden
    //#define USB_DISCONNECT_GPIO
    //#define USB_DISCONNECT_Pin

    // Freie Pins fuer LEDs etc.
    #define SPARE0_GPIO    GPIOB
    #define SPARE0_Pin     GPIO_Pin_8



    #define SYSTICK_TIMER_INTERVAL_MS 10


    /*Unique Devices IDs register set*/
    #define         ID1          (0x1FFFF7E8)
    #define         ID2          (0x1FFFF7EC)
    #define         ID3          (0x1FFFF7F0)


/* Define the STM32F10x hardware depending on the used evaluation board */
    #define USB_DISCONNECT                      GPIOD
    #define USB_DISCONNECT_PIN                  GPIO_Pin_9
    #define RCC_APB2Periph_GPIO_DISCONNECT      RCC_APB2Periph_GPIOD
    #define RCC_APB2Periph_ALLGPIO              (RCC_APB2Periph_GPIOA \
                                               | RCC_APB2Periph_GPIOB \
                                               | RCC_APB2Periph_GPIOC \
                                               | RCC_APB2Periph_GPIOD \
                                               | RCC_APB2Periph_GPIOE )






#endif
